Skip to main content
POST
/
detection
/
stats
/
noise-reduction
Get noise reduction statistics over time
curl --request POST \
  --url https://api.wirespeed.co/detection/stats/noise-reduction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "days": 123
}
'
[
  {
    "date": "<string>",
    "noiseReduction": 123,
    "totalDetections": 123,
    "escalatedDetections": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

days
number

Number of days for time-based filtering (1-365). Required by most endpoints unless startDate/endDate provided.

Response

Returns daily noise reduction percentages

date
string
required

Date in ISO format

noiseReduction
number
required

Noise reduction percentage (0-100)

totalDetections
number
required

Total number of detections for the day

escalatedDetections
number
required

Number of escalated detections for the day